<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>

<!--
/* Copyright (c) 2017-2018, The Linux Foundation. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above
 *       copyright notice, this list of conditions and the following
 *       disclaimer in the documentation and/or other materials provided
 *       with the distribution.
 *     * Neither the name of The Linux Foundation nor the names of its
 *       contributors may be used to endorse or promote products derived
 *       from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
 * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
-->

<config>
    <!-- following packages are corresponding to android pacakges without diffrent names changed by oem -->
    <!--#ifndef COLOROS_EDIT -->
    <!--Liang.Sun@ROM.Framework,2019/06/24,add for allow oppo launcher to access hidden api since google allow this -->
    <hidden-api-whitelisted-app package="com.oppo.launcher" />
    <!--#ifndef COLOROS_EDIT -->
    <!--ZhaoJi.Yang@NW.DATA,2019/11/19,add for allow cu auto register to access hidden api since cu test request -->
    <hidden-api-whitelisted-app package="com.mobiletools.systemhelper" />
    <!-- #endif /*COLOROS_EDIT*/-->
    <!--#ifndef VENDOR_EDIT -->
    <!--Ruichang.Liang@AD.Customize,2019/12/12,add for allow mdm core service apk to access hidden api -->
    <hidden-api-whitelisted-app package="com.oppo.enterprise.mdmcoreservice" />
    <!-- #endif /*VENDOR_EDIT*/-->
    <!-- #ifdef COLOROS_EDIT -->
    <!-- Yaohong.Guo@ROM.Framework, 2020/01/19, add for Session.write optimization -->
    <hidden-api-whitelisted-app package="com.heytap.market" />
    <!-- #endif COLOROS_EDIT -->
    <!--#ifdef VENDOR_EDIT -->
    <!--Junhao.Liang@AD.FaceRecognition.bug000000, 2019/12/24, Add for allowing tencent to use face pay-->
    <hidden-api-whitelisted-app package="com.tencent.mm" />
    <hidden-api-whitelisted-app package="com.tencent.mobileqq" />
    <!-- #endif /*VENDOR_EDIT*/-->
</config>
